//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-project-plugin/src/main/groovy/org/openscm/kundo/strategy/MavenProjectStrategy.groovy
//

package org.openscm.kundo.strategy;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import groovy.xml.NamespaceBuilder;
import org.openscm.kundo.plugins.context.BuildContext;
import org.openscm.kundo.common.logging.SimpleLogger;
import org.apache.tools.ant.BuildException;

/**
 * Maven Project Strategy
 *
 * @author <a href="mailto:ben.leedham@upco.co.uk">Ben Leedham</a>
 * @version 1.0.0

Description: Delegate to load various global properties for use by other plugins
and optionally parse a maven pom file.

<p>The maven project strategy reads a Maven pom file exists the project
artifact information will be taken from it, if not then the project's
artifactId will be the name of the ant project. </p>
 */
public class MavenProjectStrategy
    extends AbstractProjectStrategy
{
    private java.lang.Object mvn = null;

    private java.lang.String pomLocation = null;
    public java.lang.String getPomLocation() {
        throw new InternalError("Stubbed method");
    }

    private MavenProjectStrategy(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public MavenProjectStrategy(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable pomLocation
     *
     * @param pomLocation String representation the project's pom location
     */
    public void setPomLocation(java.lang.String pomLocation) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    public void doProject() {
        throw new InternalError("Stubbed method");
    }

    /**
     * reads the pom location variable. If a pom exists then project info is harvested from it
     * if not then the project artifactId is that of the ant project name
     */
    public void doPomProperties() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractPluginTargetDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
